document.addEventListener('DOMContentLoaded', function() {
  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Form submission handling
  const form = document.getElementById('caseSubmissionForm');
  if (form) {
    form.addEventListener('submit', function(e) {
      e.preventDefault();
      
      // Generate random case number
      const caseNumber = 'CASE-' + Math.random().toString(36).substr(2, 9).toUpperCase();
      
      // Get form data
      const formData = {
        caseNumber: caseNumber,
        caseType: document.getElementById('caseType').value,
        title: document.getElementById('title').value,
        description: document.getElementById('description').value,
        contact: document.getElementById('contact').value
      };
      
      // Here you would typically send the data to a server
      // For demo purposes, we'll just show an alert
      alert(`案件提交成功！\n您的案件编号是：${caseNumber}\n请保存此编号以便后续查询。`);
      
      // Reset form
      form.reset();
    });
  }
});

function queryCase() {
  const caseNumber = document.getElementById('caseNumber').value;
  if (!caseNumber) {
    alert('请输入案件编号');
    return;
  }
  
  // Here you would typically query a server for the case status
  // For demo purposes, we'll just show an alert
  alert(`案件查询示例：\n案件编号：${caseNumber}\n状态：处理中`);
}

// Add header shadow on scroll
window.addEventListener('scroll', function() {
  const header = document.querySelector('header');
  if (window.scrollY > 0) {
    header.style.boxShadow = '0 2px 15px rgba(0,0,0,0.1)';
  } else {
    header.style.boxShadow = 'none';
  }
});
